"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var Alert_1 = tslib_1.__importDefault(require("react-bootstrap/Alert"));
var core_1 = require("@reactionable/core");
exports.ErrorAlert = function (props) {
    var text;
    if (core_1.isIError(props.children)) {
        text = props.children.message;
    }
    else {
        text = props.children;
    }
    return React.createElement(Alert_1.default, { variant: "danger" },
        React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faExclamationCircle }),
        " ",
        text);
};
exports.useErrorAlert = function () {
    return core_1.useErrorAlert({ Component: exports.ErrorAlert });
};
//# sourceMappingURL=ErrorAlert.js.map